<?php
/**
 * Šablona pro zobrazení formuláře pro komentáře
 *
 * @package SvetNaRuce
 * @subpackage Theme
 * @since 0.0.1
 */
$commenter = wp_get_current_commenter();
$req = get_option( 'require_name_email' );
$aria_req = ( $req ? " aria-required='true'" : '' );
$required_text = 'Povinná pole jsou označena hvězdičkou. ';
$fields =  array(

  'author' =>
    '<p class="comment-form-author"><label for="author">' . __( 'Jméno', 'domainreference' ) . '</label> ' .
    ( $req ? '<span class="required">*</span>' : '' ) .
    '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
    '" size="25"' . $aria_req . ' required/></p>',

  'email' =>
    '<p class="comment-form-email"><label for="email">' . __( 'Email', 'domainreference' ) . '</label> ' .
    ( $req ? '<span class="required">*</span>' : '' ) .
    '<input id="email" name="email" type="email" value="' . esc_attr(  $commenter['comment_author_email'] ) .
    '" size="25"' . $aria_req . ' required/></p>',
    );

$args = array(
  'fields' => $fields, 
     
    
  'id_form'           => 'commentform',
  'id_submit'         => 'submit',
  'class_submit'      => 'submit',
  'name_submit'       => 'submit',
  'title_reply'       => __( 'Přidejte komentář' ),
  'title_reply_to'    => __( 'Odpovědět na %s' ),
  'cancel_reply_link' => __( 'Zrušit' ),
  'label_submit'      => __( 'Přidat komentář' ),
  'format'            => 'xhtml',

  'comment_field' =>  '<p class="comment-form-comment"><label for="comment">' . _x( 'Text', 'noun' ) .
    '</label><textarea id="comment" name="comment" cols="45" rows="8" required>' .
    '</textarea></p>',

  'must_log_in' => '<p class="must-log-in">' .
    sprintf(
      __( 'Pro přidání komentáře se musíte <a href="%s">přihlásit</a>.' ),
      wp_login_url( apply_filters( 'the_permalink', get_permalink() ) )
    ) . '</p>',

  'logged_in_as' => '<p class="logged-in-as">' .
    sprintf(
    __( 'Přihlášen jako: <a href="%1$s">%2$s</a>. <span class="logout"><a href="%3$s" title="Odhlásit z tohoho účtu">Odhlásit?</a></span>' ),
      admin_url( 'profile.php' ),
      wp_get_current_user()->display_name,
      wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) )
    ) . '</p>',

  'comment_notes_before' => '<p class="comment-notes">' .
    __( 'Váš email nebude zveřejněn. ' ) . ( $req ? $required_text : '' ) .
    '</p>',

  'comment_notes_after' => '',
);

comment_form($args); ?>