<?php
defined('_JEXEC') or die;

$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$lang = JFactory::getLanguage();

$renderer = $doc->loadRenderer('modules');
$options = array('style' => 'raw');



// Getting params from template
$params = $app->getTemplate(true)->params;
$bgcolor = $params->get('templateBackgroundColor');

$sitename = $app->get('sitename');
$menu = $app->getMenu();



if($params->get('templateBackgroundImageFile')) {
    $bgfile = $params->get('templateBackgroundImageFile');
} else {
    $bgfile = false;
}

//zjištuje, jestli je aktuální stránka front-page
if ($menu->getActive() == $menu->getDefault($lang->getTag())) {
	$is_front = true;
        $headerTag = 'h1';
} else {
    $is_front = false;
    $headerTag = 'div';
}

$this->title .= ' | '.$sitename;


// Detecting Active Variables
$option   = $app->input->getCmd('option', '');
$view     = $app->input->getCmd('view', '');
$layout   = $app->input->getCmd('layout', '');
$task     = $app->input->getCmd('task', '');
$itemid   = $app->input->getCmd('Itemid', '');



// Add Stylesheets
if($option == "com_config" || $layout == "edit") {
    $doc->addStyleSheet($this->baseurl . '/media/jui/css/bootstrap.css');
}


$doc->addStyleSheet($this->baseurl . '/templates/system/css/system.css');
$doc->addStyleSheet($this->baseurl . '/templates/system/css/general.css');

$templateCss = $this->baseurl . '/templates/' . $this->template . '/css/template.css';
$templateJs = $this->baseurl . '/templates/' . $this->template . '/js/template.js';
$jqueryJs = $this->baseurl . '/templates/' . $this->template . '/js/jquery-sticky-kit-v1-1-2.js';

//die(var_dump(JURI::root()));

?>
<!DOCTYPE html>
<html>

    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
            <link href='http://fonts.googleapis.com/css?family=Roboto&amp;subset=latin,latin-ext' rel='stylesheet' type='text/css'>
            <!-- Android toolbar color -->
            <meta name="theme-color" content="#1976D2">
            <meta name="author" content="Jan Povolny">
                <title><?php echo $this->title; ?></title>
                <link rel="stylesheet" type="text/css" href="<?php echo $templateCss; ?>" />
                
                <script src="/media/jui/js/jquery.min.js" type="text/javascript"></script>
                <script src="/media/jui/js/jquery-noconflict.js" type="text/javascript"></script>
                <script src="/media/jui/js/jquery-migrate.min.js" type="text/javascript"></script>
                <script src="/media/system/js/caption.js" type="text/javascript"></script>
                
                <script type="text/javascript" src="<?php echo $templateJs; ?>"></script>
                <script type="text/javascript" src="<?php echo $jqueryJs; ?>"></script>
                <style type="text/css">
                body {
                    <?php if($bgfile): ?>
                    background-image: url('<?php echo ''.$this->baseurl.'/'.$bgfile; ?>');
                    background-repeat: repeat;
                    background-position: top center;
                    background-attachment: fixed;
                    <?php endif; ?>
                    background-color: <?php echo $bgcolor; ?>;
                }
                </style>
            
    </head>
    <body class="site <?php echo $option
	. ' view-' . $view
	. ($layout ? ' layout-' . $layout : ' no-layout')
	. ($task ? ' task-' . $task : ' no-task')
	. ($itemid ? ' itemid-' . $itemid : '');
	
    ?>">
        <div id="page">
            <header id="head">
                <div class="header-wrapper">
                    <input type="checkbox" id="nav-trigger" class="nav-trigger">
                        <label for="nav-trigger">Menu</label>
                        <!-- navigace - main menu -->
                        <nav>
                            <?php print $renderer->render("navigation", $options, null); ?>
                        </nav>
                        <?php if($params->get('logoFile')): ?>
                            <?php echo '<'.$headerTag.' id="site-logo">'; ?>
                        <a href="<?php echo JURI::root(); ?>" rel="home"><img src="<?php echo $this->baseurl.'/'.$params->get('logoFile'); ?>" alt="Domů"></a>
                            <?php echo '</'.$headerTag.'>'; ?>
                        <?php else: ?>
                            <?php echo '<'.$headerTag.' id="site-name">'; ?>
                                <a href="<?php echo JURI::root(); ?>" rel="home"> <?php echo $sitename; ?> </a>
                            <?php echo '</'.$headerTag.'>'; ?>
                            <?php if ($params->get('siteDescription')) : ?>
				<?php echo '<p id="site-slogan">' . htmlspecialchars($params->get('siteDescription')) . '</p>'; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                </div>
            </header>
            <div class="wrapper">

                <main id="content">

                    <article class="single-article">
                        <header id="article-header" style="min-height: 6rem;">
                            <h1>CHYBA <?php echo $this->error->getCode(); echo ' - '; echo htmlspecialchars($this->error->getMessage(), ENT_QUOTES, 'UTF-8');?></h1>
                            <div class="article-summary">
                                 Nezlobte se na sebe, ale někde se stala chyba. Zkuste vyhledávání, nebo se vraťte na domovskou stránku.
                            </div>
                        </header>
                        <section id="article-content">
                            <div class="article-body" style="min-height: 5rem;">
                                <?php if(JModuleHelper::getModule('search')): ?>
                                <p>zkuste míto toho něco vyhledat...</p>
                                <?php echo $doc->getBuffer('module', 'search'); ?>
                                <?php endif; ?>
                            </div>
                        </section>
                    </article>
                   
                </main>
                 <aside id="sidebar">
                    <div class="stick-wrapper">
                        <?php print $renderer->render("sidebar", array('style' => 'well'), null); ?>
                    </div>
                </aside>
                </div>
            </div>
  
        <div class="clearer"></div>
        <footer>
            <div id="footer-wrapper">
                
                <section class="footer-quarter">
                    <?php print $renderer->render("footer1", array('style' => 'custom'), null); ?>
                </section>
                
                <div class="verticalline"></div>

                <section class="footer-quarter">
                    <?php print $renderer->render("footer2", array('style' => 'custom'), null); ?>
                </section>
                
                <div class="verticalline"></div>

                <section class="footer-quarter">
                    <?php print $renderer->render("footer3", array('style' => 'custom'), null); ?>
                </section>
                
                <div class="verticalline"></div>

                <section class="footer-quarter">
                   <?php print $renderer->render("footer4", array('style' => 'custom'), null); ?>
                </section>

            </div>
            <div class="clearer"></div>
            <div class="copyright">
                Copyright &COPY;<?php echo $sitename.', '.date("Y"); ?>
            </div>
        </footer>
    </body>
</html>
