<?php
/**
 * Tento soubor nastavuje funkce, které jsou použity v šabloně.
 *
 * @package SvetNaRuce
 * @subpackage Theme
 * @since 0.0.1
 */


// Použití "TGM Plugin Activation - vynucení aktivních pluginů při instalaci šablony
require_once dirname( __FILE__ ) . '/plugin-require/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'svetnaruce_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function svetnaruce_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(


		// This is an example of how to include a plugin from the WordPress Plugin Repository.
		array(
			'name'      => 'Related Posts',
			'slug'      => 'related-posts',
			'required'  => true,
		),
                array(
			'name'      => 'Jetpack by WordPress.com',
			'slug'      => 'jetpack',
			'required'  => true,
		),
                array(
			'name'      => 'Custom Favicon',
			'slug'      => 'custom-favicon',
			'required'  => false,
		),
                array(
			'name'      => 'Social Media Feather',
			'slug'      => 'social-media-feather',
			'required'  => false,
		),
	
            
            
	);

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 */
	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => get_template_directory_uri() . '/plugins/',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => true,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.

		
		'strings'      => array(
			'page_title'                      => __( 'Install Required Plugins', 'theme-slug' ),
			'menu_title'                      => __( 'Install Plugins', 'theme-slug' ),
			'installing'                      => __( 'Installing Plugin: %s', 'theme-slug' ), // %s = plugin name.
			'oops'                            => __( 'Something went wrong with the plugin API.', 'theme-slug' ),
			'notice_can_install_required'     => _n_noop(
				'Tato šablona vyžaduje instalaci tohoto pluginu: %1$s.',
				'Tato šablona vyžaduje instalaci těchto pluginů: %1$s.',
				'theme-slug'
			), // %1$s = plugin name(s).
			'notice_can_install_recommended'  => _n_noop(
				'Tato šablona doporučuje použití tohoto pluginu: %1$s.',
				'Tato šablona doporučuje použití těchto pluginů: %1$s.',
				'theme-slug'
			), // %1$s = plugin name(s).
			'notice_cannot_install'           => _n_noop(
				'Sorry, but you do not have the correct permissions to install the %1$s plugin.',
				'Sorry, but you do not have the correct permissions to install the %1$s plugins.',
				'theme-slug'
			), // %1$s = plugin name(s).
			'notice_ask_to_update'            => _n_noop(
				'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.',
				'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.',
				'theme-slug'
			), // %1$s = plugin name(s).
			'notice_ask_to_update_maybe'      => _n_noop(
				'There is an update available for: %1$s.',
				'There are updates available for the following plugins: %1$s.',
				'theme-slug'
			), // %1$s = plugin name(s).
			'notice_cannot_update'            => _n_noop(
				'Sorry, but you do not have the correct permissions to update the %1$s plugin.',
				'Sorry, but you do not have the correct permissions to update the %1$s plugins.',
				'theme-slug'
			), // %1$s = plugin name(s).
			'notice_can_activate_required'    => _n_noop(
				'The following required plugin is currently inactive: %1$s.',
				'The following required plugins are currently inactive: %1$s.',
				'theme-slug'
			), // %1$s = plugin name(s).
			'notice_can_activate_recommended' => _n_noop(
				'The following recommended plugin is currently inactive: %1$s.',
				'The following recommended plugins are currently inactive: %1$s.',
				'theme-slug'
			), // %1$s = plugin name(s).
			'notice_cannot_activate'          => _n_noop(
				'Sorry, but you do not have the correct permissions to activate the %1$s plugin.',
				'Sorry, but you do not have the correct permissions to activate the %1$s plugins.',
				'theme-slug'
			), // %1$s = plugin name(s).
			'install_link'                    => _n_noop(
				'Begin installing plugin',
				'Begin installing plugins',
				'theme-slug'
			),
			'update_link' 					  => _n_noop(
				'Begin updating plugin',
				'Begin updating plugins',
				'theme-slug'
			),
			'activate_link'                   => _n_noop(
				'Begin activating plugin',
				'Begin activating plugins',
				'theme-slug'
			),
			'return'                          => __( 'Return to Required Plugins Installer', 'theme-slug' ),
			'plugin_activated'                => __( 'Plugin activated successfully.', 'theme-slug' ),
			'activated_successfully'          => __( 'The following plugin was activated successfully:', 'theme-slug' ),
			'plugin_already_active'           => __( 'No action taken. Plugin %1$s was already active.', 'theme-slug' ),  // %1$s = plugin name(s).
			'plugin_needs_higher_version'     => __( 'Plugin not activated. A higher version of %s is needed for this theme. Please update the plugin.', 'theme-slug' ),  // %1$s = plugin name(s).
			'complete'                        => __( 'All plugins installed and activated successfully. %1$s', 'theme-slug' ), // %s = dashboard link.
			'contact_admin'                   => __( 'Please contact the administrator of this site for help.', 'tgmpa' ),

			'nag_type'                        => 'updated', // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
		),
		
	);

	tgmpa( $plugins, $config );
}






add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 825, 510, true );
        
add_theme_support( 'automatic-feed-links' );
$defaults_bg = array(
	'default-color'          => 'e2e2e2',
	'default-image'          => get_template_directory_uri() . '/img/bg-500.png',
);
add_theme_support( 'custom-background', $defaults_bg );
add_theme_support( 'title-tag' );

function svetnaruce_scripts() {
    // css soubory
    wp_enqueue_style( 'svetnaruce-style', get_stylesheet_uri() );
    wp_enqueue_style( 'svetnaruce-roboto', 'http://fonts.googleapis.com/css?family=Roboto&subset=latin,latin-ext');
    wp_enqueue_style( 'svetnaruce-material-icons', 'https://fonts.googleapis.com/icon?family=Material+Icons');
    
    // soubor jquery-sticky-kit-v1-1-2.js - závisí na jquery a wordpress si jquery dotáhne sám
    wp_enqueue_script( 'stickykit-script', get_template_directory_uri() . '/js/jquery-sticky-kit-v1-1-2.js', array('jquery'));
    // soubor scripts.js - závisí na jquery a wordpress si jquery dotáhne sám
    wp_enqueue_script( 'svetnaruce-script', get_template_directory_uri() . '/js/scripts.js', array('jquery'));
    
}
add_action( 'wp_enqueue_scripts', 'svetnaruce_scripts' );


function register_my_menu() {
  register_nav_menu('header-menu',__( 'Header Menu' ));
}
add_action( 'init', 'register_my_menu' );


//vlastní excerpt délka
function excerpt_custom_length($limit) {
     return wp_trim_words(get_the_excerpt(), $limit);
}

//odkazy do diskuze s českými popisky
function get_the_comments() {
    $count = wp_count_comments(get_the_ID())->total_comments;
    $text = '';
    
    switch ($count) {
        case 0:
            $text = '<span class="comments-label no-comments">Komentáře</span>';
            break;
        case 1:
            $text = '<span class="comments-number">'.(string)$count.'</span><span class="comments-label"> komentář</span>';
            break;
        case 2:
        case 3:
        case 4:
            $text = '<span class="comments-number">'.(string)$count.'</span><span class="comments-label"> komentáře</span>';
            break;
        default:
            $text = '<span class="comments-number">'.(string)$count.'</span><span class="comments-label"> komentářů</span>';           
    }
    return $text;
}

function get_random_classed_tags() {
    $posttags = get_the_tags();
    if($posttags) {
        echo '<span>Štítky:</span>';
        foreach($posttags as $tag) {
        $name = $tag->name;
        $link = get_tag_link($tag->term_id);
        echo '<a href="'.$link.'" class="tag-color-'.rand(1,10).'">'.$name.'</a> '; 
        }
    }
}

//přidává možnost customizace loga
function svetnaruce_theme_customizer( $wp_customize ) {
   $wp_customize->add_section( 'svetnaruce_logo_section' , array(
    'title'       => __( 'Logo', 'svetnaruce' ),
    'priority'    => 30,
    'description' => 'Zde můžeš nahrát vlastní logo, kterým přepíšeš titulek a popisek šablony.',
) );
   $wp_customize->add_setting( 'svetnaruce_logo' );
   $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'svetnaruce_logo', array(
    'label'    => __( 'Logo', 'svetnaruce' ),
    'section'  => 'svetnaruce_logo_section',
    'settings' => 'svetnaruce_logo',
) ) );
   
}
add_action( 'customize_register', 'svetnaruce_theme_customizer' );


// vytvoření ploch pro widgety
function svetnaruce_widgets_init() {
    register_sidebar( array(
        'name' => 'Patička 1',
        'id' => 'footer-sidebar-1',
        'description' => 'Zde můžete vybrat, co se zobrazí jako první oblast v patičce.',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ) );
    register_sidebar( array(
        'name' => 'Patička 2',
        'id' => 'footer-sidebar-2',
        'description' => 'Zde můžete vybrat, co se zobrazí jako druhá oblast v patičce.',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ) );
    register_sidebar( array(
        'name' => 'Patička 3',
        'id' => 'footer-sidebar-3',
        'description' => 'Zde můžete vybrat, co se zobrazí jako třetí oblast v patičce.',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ) );
    register_sidebar( array(
        'name' => 'Patička 4',
        'id' => 'footer-sidebar-4',
        'description' => 'Zde můžete vybrat, co se zobrazí jako čtvrtá oblast v patičce.',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ) );
    register_sidebar( array(
        'name' => 'Pravý sidebar',
        'id' => 'right-sidebar-1',
        'description' => 'Zde můžete vybrat, co se zobrazí v pravém sidebaru na každé stránce.',
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ) );
}
add_action('widgets_init', 'svetnaruce_widgets_init');

// vrací odkazy na editaci widgetů, pokud na to má user práva
function get_edit_widgets_link() {
    if(current_user_can('edit_theme_options')) {
        echo '<a class="widget-edit-link" href="'.get_admin_url(NULL, 'widgets.php').'">Editovat <i class="material-icons small">create</i></a>';
    } 
}

if ( ! isset( $content_width ) ) {
	$content_width = 700;
}

// vloží šablonu reklamy za n-tý odstaved do článku
add_filter( 'the_content', 'svetnaruce_insert_in_post' );
function svetnaruce_insert_in_post( $content ) {
    if ( is_single() ) {
        $what = file_get_contents(locate_template("ad-inline.php"));
        return svetnaruce_insert_after_p( $what, 1, $content );
    }
    return $content;
}

function svetnaruce_insert_after_p( $insertion, $paragraph_id, $content ) {
    $closing_p = '</p>';
    $paragraphs = explode( $closing_p, $content );
    foreach ($paragraphs as $index => $paragraph) {
        if ( trim( $paragraph ) ) {
            $paragraphs[$index] .= $closing_p;
        }
        if ( $paragraph_id == $index + 1 ) {
            $paragraphs[$index] .= $insertion;
        }
    }
    return implode( '', $paragraphs );
}
