<?php
/**
 * Šablona pro zobrazení globální hlavičky
 *
 * @package SvetNaRuce
 * @subpackage Theme
 * @since 0.0.1
 */
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta name="description" content="<?php bloginfo('description'); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="author" content="Jan Povolny">
<!--        <link href='http://fonts.googleapis.com/css?family=Roboto&subset=latin,latin-ext' rel='stylesheet' type='text/css'>-->
<!--        <link href="https://fonts.googleapis.com/icon?family=Material+Icons"
              rel="stylesheet">-->
<!--        <link rel="stylesheet" href="// bloginfo('stylesheet_url'); " type="text/css" media="screen" />-->
<!--        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>-->

        <!-- Android Lollipop toolbar color -->
        <meta name="theme-color" content="#1976D2">      
        <?php wp_head(); ?>
       
    </head>

    <body  <?php body_class(); ?>>
    <div id="body-container">
        <div id="page">
            <header id="head">
                <div class="header-wrapper">
                    <input type="checkbox" id="nav-trigger" class="nav-trigger" />
                    <label for="nav-trigger" >Menu</label>
                    <?php
                    // Přidává menu z administrace
                    wp_nav_menu(array('theme_location' => 'header-menu', 'container' => 'nav')); 
                    ?>

                    <?php
                    // Pokud uživatel nahrál vlastní logo přes customizer, vloží logo
                    if (get_theme_mod('svetnaruce_logo')) : 
                        ?>
                        <div class='site-logo'>
                            <a href='<?php echo esc_url(home_url('/')); ?>' title='<?php echo esc_attr(get_bloginfo('name', 'display')); ?>' rel='home'>
                                        <?php if (is_front_page() && is_home()) : ?>
                                            <h1><img src='<?php echo esc_url(get_theme_mod('svetnaruce_logo')); ?>' alt='<?php echo esc_attr(get_bloginfo('name', 'display')); ?>'></h1>
                                        <?php else : ?>
                                            <img src='<?php echo esc_url(get_theme_mod('svetnaruce_logo')); ?>' alt='<?php echo esc_attr(get_bloginfo('name', 'display')); ?>'>
                                        <?php endif; ?>
                            </a>
                        </div>
                    <?php 
                    // Fallback, pokud uživatel žádné logo nenahrál, zobrazí Site-title + description
                    else : ?>
                        <?php if (is_front_page() && is_home()) : ?>
                            <h1 class="site-title"><a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
                        <?php else : ?>
                            <p class="site-title"><a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a></p>
                        <?php endif; ?>                
                        <?php
                        $description = get_bloginfo('description', 'display');
                        if ($description || is_customize_preview()) :
                            ?>
                            <p class="site-description"><?php echo $description; ?></p>
                        <?php endif;
                        ?>
                    <?php endif; ?>     
                </div>
            </header>
            
            <main class="wrapper">

