<?php
defined('_JEXEC') or die;

$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$lang = JFactory::getLanguage();


// Getting params from template
$params = $app->getTemplate(true)->params;
$bgcolor = $params->get('templateBackgroundColor');

$sitename = $app->get('sitename');
$menu = $app->getMenu();



if($params->get('templateBackgroundImageFile')) {
    $bgfile = $params->get('templateBackgroundImageFile');
} else {
    $bgfile = false;
}

//zjištuje, jestli je aktuální stránka front-page
if ($menu->getActive() == $menu->getDefault($lang->getTag())) {
	$is_front = true;
        $headerTag = 'h1';
} else {
    $is_front = false;
    $headerTag = 'div';
}

$this->title .= ' | '.$sitename;


// Detecting Active Variables
$option   = $app->input->getCmd('option', '');
$view     = $app->input->getCmd('view', '');
$layout   = $app->input->getCmd('layout', '');
$task     = $app->input->getCmd('task', '');
$itemid   = $app->input->getCmd('Itemid', '');

// Add Javascripts
$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/template.js');
$doc->addScript($this->baseurl . '/templates/' . $this->template . '/js/jquery-sticky-kit-v1-1-2.js');

// Add Stylesheets
if($option == "com_config" || $layout == "edit") {
    $doc->addStyleSheet($this->baseurl . '/media/jui/css/bootstrap.css');
}


$doc->addStyleSheet($this->baseurl . '/templates/system/css/system.css');
$doc->addStyleSheet($this->baseurl . '/templates/system/css/general.css');
$doc->addStyleSheet($this->baseurl . '/templates/' . $this->template . '/css/template.css');
$doc->addStyleSheet(htmlentities('http://fonts.googleapis.com/css?family=Roboto&subset=latin,latin-ext'));


?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >

    <head>
        <jdoc:include type="head" />
        <meta name="viewport" content="width=device-width, initial-scale=1">
            <!-- Android toolbar color -->
            <meta name="theme-color" content="#1976D2">
            <meta name="author" content="Jan Povolny">
            
                <style type="text/css">
                body {
                    <?php if($bgfile): ?>
                    background-image: url('<?php echo ''.$this->baseurl.'/'.$bgfile; ?>');
                    background-repeat: repeat;
                    background-position: top center;
                    background-attachment: fixed;
                    <?php endif; ?>
                    background-color: <?php echo $bgcolor; ?>;
                }
                </style>
            
    </head>
    <body class="site <?php echo $option
	. ' view-' . $view
	. ($layout ? ' layout-' . $layout : ' no-layout')
	. ($task ? ' task-' . $task : ' no-task')
	. ($itemid ? ' itemid-' . $itemid : '');
	
    ?>">
        <div id="page">
            <header id="head">
                <div class="header-wrapper">
                    <input type="checkbox" id="nav-trigger" class="nav-trigger">
                        <label for="nav-trigger">Menu</label>
                        <!-- navigace - main menu -->
                        <nav>
                            <jdoc:include type="modules" name="navigation" style="none" />
                        </nav>
                        <?php if($this->params->get('logoFile')): ?>
                            <?php echo '<'.$headerTag.' id="site-logo">'; ?>
                        <a href="<?php echo $this->baseurl; ?>" rel="home"><img src="<?php echo $this->baseurl.'/'.$this->params->get('logoFile'); ?>" alt="Domů"></a>
                            <?php echo '</'.$headerTag.'>'; ?>
                        <?php else: ?>
                            <?php echo '<'.$headerTag.' id="site-name">'; ?>
                                <a href="<?php echo $this->baseurl; ?>" rel="home"> <?php echo $sitename; ?> </a>
                            <?php echo '</'.$headerTag.'>'; ?>
                            <?php if ($this->params->get('siteDescription')) : ?>
				<?php echo '<p id="site-slogan">' . htmlspecialchars($this->params->get('siteDescription')) . '</p>'; ?>
                            <?php endif; ?>
                        <?php endif; ?>
                </div>
            </header>
            <div class="wrapper">
                <jdoc:include type="message" />
                <main id="content">
                    <jdoc:include type="component" />
                   
                </main>
                 <aside id="sidebar">
                    <div class="stick-wrapper">
                        <jdoc:include type="modules" name="sidebar" style="well" />
                    </div>
                </aside>
                
            </div>
        </div>
        <div class="clearer"></div>
        <footer>
            <div id="footer-wrapper">
                
                <section class="footer-quarter">
                    <jdoc:include type="modules" name="footer1" style="custom" />
                </section>
                
                <div class="verticalline"></div>

                <section class="footer-quarter">
                    <jdoc:include type="modules" name="footer2" style="custom" />
                </section>
                
                <div class="verticalline"></div>

                <section class="footer-quarter">
                    <jdoc:include type="modules" name="footer3" style="custom" />
                </section>
                
                <div class="verticalline"></div>

                <section class="footer-quarter">
                    <jdoc:include type="modules" name="footer4" style="custom" />
                </section>

            </div>
            <div class="clearer"></div>
            <div class="copyright">
                Copyright &COPY;<?php echo $sitename.', '.date("Y"); ?>
            </div>
        </footer>
    </body>
</html>
