<?php
/**
 * Šablona pro zobrazení hlavní stránky - výčet článků
 *
 * @package SvetNaRuce
 * @subpackage Theme
 * @since 0.0.1
 */

get_header();
$posts_counter = 0;
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

/* Výběr posledních čtyř "Sticky" postů */
$sticky = get_option('sticky_posts');
rsort($sticky);
$already_displayed = array();

/* Upravený loop */
$sticky_loop = new WP_Query(array(
    'post_type' => 'post',
    'post__in' => $sticky,
    'posts_per_page' => 4,
    'ignore_sticky_posts' => 1
        ));
if ($sticky_loop->have_posts()) {
    while ($sticky_loop->have_posts()) {
        $sticky_loop->the_post();
        /* Každý zobrazený ulož, protože ho nebudeme chtít zobrazovat ve druhém loopu */
        array_push($already_displayed, get_the_ID());

        /* Zobrazení prvního sticky postu */
        if ($posts_counter == 0) {
            ?>
            <?php get_template_part('post-promoted'); ?>
            <div class="clearer"></div>
            <div id="content">
            <section class="rest-sticky-posts">  
            <?php
            
            $posts_counter++;
        } else {
            /* zobrazení ostatních sticky postů */
            get_template_part('post-rest-sticky');
        }
               
    }
} else {  ?>
    <div>Nejsou žádné příspěvky</div>
<?php 
} 
?>
                    <div class="clearer"></div>
                </section> 



    <?php
    /* Výběr ostatních postů kromě již zobrazených + nedávej sticky na začátek */
    wp_reset_postdata();
    $loop2 = new WP_Query(array(
        'post__not_in' => $already_displayed,
        'ignore_sticky_posts' => 1,
        'orderby' => 'date',
        'paged' => $paged,
        )
    );
    ?>
    <h2 class="promotion">Všechny články:</h2>
    <section class="normal-posts">
        <?php
        if ($loop2->have_posts()) {
            $counter = 0;
            while ($loop2->have_posts()) {
                $loop2->the_post();


                get_template_part('post-normal');



                // po pátém příspěvku zobraz reklamu
                $counter++;
                if ($counter == 5) {
                    get_template_part('ad-inline');
                }
            }
            ?> <div class="paginate">
            <?php if ($paged != $loop2->max_num_pages) {
                if (!empty(get_previous_posts_link())) {
                    ?>
                        <div class="nav-previous align-left"><?php next_posts_link('Starší příspěvky'); ?></div>
                    <?php } else { ?>
                        <div class="nav-previous align-center"><?php next_posts_link('Starší příspěvky'); ?></div>
                    <?php }
                }
                ?>       
                <div class="nav-next align-right"><?php previous_posts_link('Novější příspěvky'); ?></div>
            </div><!-- /paginate -->
        <?php } else {
            ?>
            <div>Nejsou žádné příspěvky</div>
            <div class="paginate">
                <div class="nav-next align-right"><?php previous_posts_link('Novější příspěvky'); ?></div>
            </div><!-- /paginate -->


        <?php
        }
        wp_reset_postdata();
        ?>

    </section>  <!--konec normal-posts-->
</div> <!--konec content-->

<?php get_sidebar(); ?>
<?php get_footer(); ?>