(function($) {
    // Inside of this function, $() will work as an alias for jQuery()
    // and other libraries also using $ will not be accessible under this shortcut


$(window).load(function(){
    
    setSidebarMargin();
    checkSize();
    stickIt();
    setMobileMenuHeight();
 
    $(window).resize(checkSize);
    $(window).resize(stickIt);
    $(window).resize(setMobileMenuHeight);
    $(window).resize(setSidebarMargin);
    
    
    $("nav ul .parent>span").click(function() {
        if($("label[for=nav-trigger]").css("display")!=="none") {
           if($(this).next("ul").hasClass("sub-visible")) {
                $(this).next("ul").removeClass("sub-visible");
            } else {
                $(this).next("ul").addClass("sub-visible");
            }
       
        } 
    });
    
    
    
});

function checkSize() {
    if ($("#sidebar").css("float") !== "right") {
        $("#sidebar").css("min-height", "auto");
    } else {
        var height = $("#content").outerHeight(true) - $(".paginate").outerHeight(true);
        if($("#sidebar").css("margin-top") !== "initial") {
            height = height - parseFloat($("#sidebar").css("margin-top"));
        } 
        $("#sidebar").css("min-height", height);
    }
}

function setMobileMenuHeight() {
    var barHeight = $("#wpadminbar").outerHeight(true);
    var menuTop = $("#head").outerHeight(true);
    var soucet = parseFloat(barHeight) + parseFloat(menuTop);
    if( ($("label[for=nav-trigger]").css("display")!=="none") && ($("#wpadminbar").outerHeight(true)>1) ){
        $("nav").css("top", soucet);
    } else {
        $("nav").css("top", "");
    }
}

function setSidebarMargin() {
    if ($("#article-header").length && $("#sidebar").css("float") == "right") {
        var articleHeaderHight = $("#article-header").outerHeight(true);
        var soucet = 0;
        if($(".tags.inline").length) {
            var tagsHight = $(".tags.inline").outerHeight(true);
            soucet = parseFloat(articleHeaderHight) + parseFloat(tagsHight);
        } else {
            soucet = parseFloat(articleHeaderHight);
        }
        
        $("#sidebar").css("margin-top", soucet)
    } 
    else if ($("#content > div[class^='blog']").length && $("#sidebar").css("float") == "right") {
        if($(".items-leading").length) {
            var leadingHeight = $(".items-leading").outerHeight(true);
        } else {
            var leadingHeight = 0;
        }
        
        if($("#content > div[class^='blog'] .promotion").length) {
            var titleHeight = $("#content > div[class^='blog'] .promotion").outerHeight(true);
            soucet = parseFloat(leadingHeight) + parseFloat(titleHeight);
        } else {
            soucet = parseFloat(leadingHeight);
        }
        $("#sidebar").css("margin-top", soucet);
    } else {
        $("#sidebar").css("margin-top", "initial");
    }
    
}

function stickIt() {
    if($("#sidebar").css("float") === "right") {
        $(".stick-wrapper").stick_in_parent({offset_top: 20});
    }
}

})(jQuery);


